import { Loader, TemplateSource } from "../../loader";
/**
 * A loader that uses a Map of strings to store template source Text.
 */
export declare class MapLoader extends Loader {
    #private;
    constructor(map?: Map<string, string>);
    getSource(name: string): Promise<TemplateSource>;
    getSourceSync(name: string): TemplateSource;
}
