import { Loader, TemplateSource } from "../../loader";
/**
 * A loader that uses an Object of strings to store template template source Text.
 */
export declare class ObjectLoader extends Loader {
    private obj?;
    private _obj;
    constructor(obj?: {
        [index: string]: string;
    } | undefined);
    getSource(name: string): Promise<TemplateSource>;
    getSourceSync(name: string): TemplateSource;
}
