import { Node } from "../../ast";
import { Tag } from "../../tag";
import { TokenStream } from "../../token";
import { OutputStatementNode } from "./statement";
import { Expression } from "../../expression";
export declare class EchoTag implements Tag {
    readonly block = false;
    readonly name: string;
    protected nodeClass: typeof EchoNode;
    protected parseExpression(value: string, startIndex: number): Expression;
    parse(stream: TokenStream): Node;
}
export declare class EchoNode extends OutputStatementNode implements Node {
    toString(): string;
}
