export declare const Missing: unique symbol;
export declare const chainPush: unique symbol;
export declare const chainPop: unique symbol;
export declare const chainSize: unique symbol;
export type ObjectChain = {
    [index: string]: unknown;
    [chainPush](obj: object): void;
    [chainPop](): object | undefined;
    [chainSize](): number;
};
/**
 *
 * @param objects -
 * @returns
 */
export declare function chainObjects(...objects: object[]): ObjectChain;
