import { Expression, ExpressionFilter, FilteredExpression } from "../../expression";
import { Token } from "../../token";
import { ExpressionTokenStream } from "../tokens";
type parseFunc = (stream: ExpressionTokenStream) => Expression;
export declare const TOKEN_MAP: Map<string, parseFunc>;
export declare function parseObject(stream: ExpressionTokenStream): Expression;
export declare function parseFilter(tokens: Token[]): ExpressionFilter;
export declare function parseFromTokens(tokens: IterableIterator<Token>): FilteredExpression;
export declare function parse(expr: string, startIndex?: number): FilteredExpression;
export {};
