import { Token } from "./token";
export declare function compileRules(statementStart?: string, statementEnd?: string, tagStart?: string, tagEnd?: string): RegExp;
/**
 * Return a generator function for tokenizing liquid templates.
 */
export declare function tokenizerFor(rules: RegExp, statementStart?: string, statementEnd?: string, tagStart?: string, tagEnd?: string): (source: string) => Generator<Token>;
