/**
 * Construct a new `Range` object, a lazy sequence of integer.
 */
export declare function range(stop: number): Range;
export declare function range(start: number, stop: number): Range;
export declare class Range implements Iterable<number> {
    readonly length: number;
    readonly start: number;
    readonly stop: number;
    constructor(start: number, stop: number);
    [Symbol.iterator](): Iterator<number>;
    equals(other: unknown): boolean;
    toString(): string;
}
