import { LiquidDispatchableSync, liquidDispatchSync } from "../../drop";
import { Undefined } from "../../undefined";
export declare class ForLoopDrop implements LiquidDispatchableSync, Iterable<unknown> {
    readonly name: string;
    readonly it: Iterator<unknown>;
    readonly length: number;
    readonly parentloop: ForLoopDrop | Undefined;
    private static _keys;
    private _index;
    constructor(name: string, it: Iterator<unknown>, length: number, parentloop: ForLoopDrop | Undefined);
    [Symbol.iterator](): Iterator<unknown>;
    [liquidDispatchSync](name: string): unknown;
    toString(): string;
    step(): void;
    get index(): number;
    get index0(): number;
    get rindex(): number;
    get rindex0(): number;
    get first(): boolean;
    get last(): boolean;
}
