import { LiquidDispatchableSync, liquidDispatchSync } from "../../drop";
export declare class TableRowLoopDrop implements LiquidDispatchableSync, Iterable<unknown> {
    readonly name: string;
    readonly it: Iterator<unknown>;
    readonly length: number;
    readonly ncols: number;
    private static _keys;
    private _index;
    private _row;
    private _col;
    constructor(name: string, it: Iterator<unknown>, length: number, ncols: number);
    [Symbol.iterator](): Iterator<unknown>;
    [liquidDispatchSync](name: string): unknown;
    toString(): string;
    step(): void;
    get index(): number;
    get index0(): number;
    get rindex(): number;
    get rindex0(): number;
    get first(): boolean;
    get last(): boolean;
    get col(): number;
    get col0(): number;
    get col_first(): boolean;
    get col_last(): boolean;
    get row(): number;
}
