import { Expression, BooleanExpression, InfixExpression } from "../../expression";
import { ExpressionTokenStream } from "../tokens";
type parseFunc = (stream: ExpressionTokenStream) => Expression;
export declare const TOKEN_MAP: Map<string, parseFunc>;
export declare function parseInfixExpression(stream: ExpressionTokenStream, left: Expression): InfixExpression;
export declare function parseObject(stream: ExpressionTokenStream, precedence?: number): Expression;
export declare function parse(expr: string, startIndex?: number): BooleanExpression;
export {};
